//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWSwapPaneCtrl;
		class VWSwapCtrl : public VWControl
		{
		public:
							VWSwapCtrl(TControlID id);
			virtual			~VWSwapCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);
			void			AddPane(VWSwapPaneCtrl* pPane);

			size_t			GetActivePaneIndex() const;
			void			SetActivePaneIndex(size_t paneIndex);

		};
	}
}